Support » Plugin: VIP Scanner » VIP Scanner 0.6 issue

  • I would love to upgrade to 0.6 but when I click on the VIP Scanner page under Tools in 0.6, I get an empty page and this error in the console:

    Failed to load resource: net::ERR_INCOMPLETE_CHUNKED_ENCODING

    0.4 works fine. Running on a local MAMP machine running Apache PHP 5.5.10 (though I tried it with versions of 5.2, 5.3 and 5.4).

    https://wordpress.org/plugins/vip-scanner/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Mike

    (@mobius5150)

    Sorry to hear about these issues Chris. Lets try a couple things:

    – When you navigate to the page, does it take a while to error out (30s-1m) or does it error out instantaneously?
    – Are you running this on your own theme, or a public one? Could you please try switching your active theme to twenty fourteen, twenty eleven etc.. and then browse to the VIP Scanner page?
    – Do you have access to WP CLI on your machine? If so could you run wp vip-scanner scan-theme --theme=twentyfourteen --scan_type="WP.org Theme Review" and let me know if it completes?

    Thanks,
    Mobius5150

    – When you navigate to the page, does it take a while to error out (30s-1m) or does it error out instantaneously?

    It takes a while but < 30s (maybe like 10 or so).

    – Are you running this on your own theme, or a public one? Could you please try switching your active theme to twenty fourteen, twenty eleven etc.. and then browse to the VIP Scanner page?

    My own theme (http://wordpress.org/themes/museum-core/) but I switched to Twentythirteen and get the same behavior.

    – Do you have access to WP CLI on your machine? If so could you run wp vip-scanner scan-theme –theme=twentyfourteen –scan_type=”WP.org Theme Review” and let me know if it completes?

    This is what I get when I run that on twentythirteen (I don’t have twentyfourteen locally).

    +-------+-------------+-------+------+
    | level | description | lines | file |
    +-------+-------------+-------+------+
    +-------+-------------+-------+------+

    FWIW, this is what I get when I run it against the theme I’m trying to test:

    +---------+-------------------------------+----------------------------------------------------------------------------------------------+------+
    | level   | description                   | lines                                                                                        | file |
    +---------+-------------------------------+----------------------------------------------------------------------------------------------+------+
    | warning | PHP CodeSniffer not available | PHP CodeSniffer (phpcs) is not available on this system. No code sniffing will be performed. |      |
    +---------+-------------------------------+----------------------------------------------------------------------------------------------+------+
    Plugin Author Mike

    (@mobius5150)

    Thanks for doing that. I think the new analyzers feature is giving you trouble. Can you edit line 135 of vip-scanner.php within the plugin files like this:

    Original:

    $scanner = VIP_Scanner::get_instance()->run_theme_review( $theme, $review );

    Modified:

    $scanner = VIP_Scanner::get_instance()->run_theme_review( $theme, $review, array( 'checks' ) );

    That works. 🙂
    Thanks for the quick fix!

    Sidenote: Any idea re: the PHP CodeSniffer message? Is there a package I can download to fix that?

    Plugin Author Mike

    (@mobius5150)

    That works. 🙂
    Thanks for the quick fix!

    Glad to hear it. I’m going to look into why this is failing and will patch it in a better fashion ASAP.

    Sidenote: Any idea re: the PHP CodeSniffer message? Is there a package I can download to fix that?

    Certainly! Check out the WordPress Coding Standards on GitHub. You’ll want to look at the “How to use this” section and follow the instructions to install phpcs and the WordPress Coding Standards.

    Thank you sir. On my way. 🙂

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘VIP Scanner 0.6 issue’ is closed to new replies.